COSMICCALCULATOR(1)

NAME
CosmicCalculator - estimate cosmological values

SYNOPSIS
astcosmiccal [OPTION...]

DESCRIPTION
CosmicCalculator is part of GNU Astronomy Utilities 0.22. CosmicCalculator will do cosmological calculations. If no redshfit is specified, it will only print the main input parameters. If only a redshift is given, it will print a table of all calculations. If any of the single row calculations are requested, only their values will be printed with a single space between each.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of CosmicCalculator's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astcosmiccal -P

Inputs/Outputs and options:
    $ info astcosmiccal

Full section in manual/book:
    $ info CosmicCalculator

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

CosmicCalculator options:

    Input:

-H, --H0=FLT
    Current expansion rate (Hubble constant).

-l, --olambda=FLT
    Current cosmological cst. dens. per crit. dens.

-m, --omatter=FLT
    Current matter density per critical density.

-O, --obsline=STR,FLT
    Redshift from line and observed wavelength.

-r, --oradiation=FLT
    Current radiation density per critical density.

-y, --velocity=FLT
    Velocity of interest in km/s.

-z, --redshift=FLT
    Redshift of interest.

    Basic cosmology calculations

-a, --absmagconv
    Conversion to absolute magnitude (no unit).

-A, --angulardiamdist
    Angular diameter distance (Mpc).

-b, --lookbacktime
    Look back time to z (Ga: Giga Annum).

-c, --criticaldensity
    Critical density at z (g/cm^3).

-C, --criticaldensitynow
    Critical density now (g/cm^3).

-d, --properdistance
    Proper distance to z (Mpc).

-e, --usedredshift
    Used redshift in this run.

-g, --age
    Age of universe at z (Ga: Giga Annum).

-G, --agenow
    Age of universe now (Ga: Giga Annum).

-L, --luminositydist
    Luminosity distance to z (Mpc).

-s, --arcsectandist
    Tangential dist. covered by 1arcsec at z (kpc).

-u, --distancemodulus
    Distance modulus at z (no units).

-v, --volume
    Comoving volume (4pi str) to z (Mpc^3).

-Y, --usedvelocity
    Used velocity (in km/s) for this run.

    Spectral lines

-i, --lineatz=STR/FLT
    Wavelength of line (name or wavelength) at z.

--lineunit=STR
    Unit ('angstrom', 'nm', 'microm' or 'm').

--listlines
    List pre-defined lines at rest frame.

--listlinesatz
    List pre-defined lines at the given redshift.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for CosmicCalculator is maintained as a Texinfo manual. If the info and CosmicCalculator programs are properly installed at your site, the command

    info CosmicCalculator

should give you access to the complete manual.